# Class ResetPasswordForm

#### Implements

- FormType<IResetPasswordForm>

- Defined in reset-password/reset-password.form.ts:92

#####
Index

### Constructors

constructor

### Properties

password
passwordRepeat
rxapFormGroup

### Methods

passwordEqual
resetRepeat

##
Constructors

### constructor

- new ResetPasswordForm(): ResetPasswordForm

  #### Returns ResetPasswordForm

##
Properties

### password

password: RxapFormControl

Implementation of FormType.password

- Defined in reset-password/reset-password.form.ts:98

### passwordRepeat

passwordRepeat: RxapFormControl

Implementation of FormType.passwordRepeat

- Defined in reset-password/reset-password.form.ts:103

### rxapFormGroup

rxapFormGroup: RxapFormGroup

Implementation of FormType.rxapFormGroup

- Defined in reset-password/reset-password.form.ts:93

##
Methods

### passwordEqual

- passwordEqual(control: RxapFormControl): null | { equal: string }

  #### Parameters

  - control: RxapFormControl

  #### Returns null | { equal: string }

  - Defined in reset-password/reset-password.form.ts:106

### resetRepeat

- resetRepeat(): void

  #### Returns void

  - Defined in reset-password/reset-password.form.ts:117